/** @file sys_main.c 
*   @brief Application main file
*   @date 11-Dec-2018
*   @version 04.07.01
*
*   This file contains an empty main function,
*   which can be used for the application.
*/

/* 
* Copyright (C) 2009-2018 Texas Instruments Incorporated - www.ti.com 
* 
* 
*  Redistribution and use in source and binary forms, with or without 
*  modification, are permitted provided that the following conditions 
*  are met:
*
*    Redistributions of source code must retain the above copyright 
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the 
*    documentation and/or other materials provided with the   
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/


/* USER CODE BEGIN (0) */
#include "stdio.h"
#include "etpwm.h"
#include "ecap.h"
#include "sys_core.h"
/* USER CODE END */

/* Include Files */

#include "sys_common.h"

/* USER CODE BEGIN (1) */
#define VCLK3_FREQ 110       /*Give VCLK3 frequency as input in MHz because ECAP will be operated with VCLK3 clock*/
/* USER CODE END */

/** @fn void main(void)
*   @brief Application main function
*   @note This function is empty by default.
*
*   This function is called after startup.
*   The user can use this function to implement the application.
*/

/* USER CODE BEGIN (2) */
uint32_t cap1, cap2, cap3;
/* USER CODE END */

int main(void)
{
/* USER CODE BEGIN (3) */
    _enable_IRQ();
    etpwmInit();
    ecapInit();
    etpwmStartTBCLK();              /*The PWM waveform will be generated on ePWM1A that is 14 pin of the controller*/
    ecapStartCounter(ecapREG2);
    ecapEnableCapture(ecapREG2);    /*The capturing will be on ECAP2 that is 51 pin of the controller*/

    /*Now to give the generated PWM to the ECAP module you should need to short the 14 and 51 pins of the controller*/

    while(1)
    {
    }
/* USER CODE END */

    return 0;
}


/* USER CODE BEGIN (4) */
void ecapNotification(ecapBASE_t *ecap,uint16 flags)
{
    uint32 cap1, cap2, cap3;
    float32 duty, period;

    cap1 = ecapGetCAP1(ecapREG2);
    cap2 = ecapGetCAP2(ecapREG2);
    cap3 = ecapGetCAP3(ecapREG2);

    duty = (cap2 - cap1)*1000/VCLK3_FREQ;
    period = (cap3 - cap1)*1000/VCLK3_FREQ;

    printf("Duty = %f ns\n", duty);
    printf("Period = %f ns\n\n", period);

}
/* USER CODE END */
